using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina
{
    internal class Program
    {
        static int Pecina(int n,int l, int[] x)
        {
            for(int i = 0; i < n; i++)
            {
                if (x[i] <= l)
                    return i + 1;
            }
            return -1;
        }
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split(' ');
            int n = int.Parse(s1[0]);
            int l = int.Parse(s1[1]);
            int[]x = new int[n];
            string[] s2 = Console.ReadLine().Split(' ');
            for(int i = 0;i < n;i++)
            {
                x[i] = int.Parse(s2[i]);
            }
            Console.WriteLine(Pecina(n, l, x));
            Console.ReadLine();
        }
    }
}